Loading...
Searching...
No Matches
Awaitable.h File Reference
`#include <atomic>`
`#include <cassert>`
`#include <cstdint>`
`#include <exception>`
`#include <memory>`
`#include <type_traits>`
`#include <variant>`

Go to the source code of this file.

## Classes

struct | sdbus::AwaitableData< T >
class | sdbus::Awaitable< T >

## Enumerations

enum class | sdbus::AwaitableState : uint8_t { NotReady , Waiting , Completed }

## Detailed Description

(C) 2016 - 2021 KISTLER INSTRUMENTE AG, Winterthur, Switzerland (C) 2016 - 2026 Stanislav Angelovic stani.nosp@m.slav.nosp@m..ange.nosp@m.lovi.nosp@m.c@pro.nosp@m.tonm.nosp@m.ail.c.nosp@m.om (C) 2026 - Alex Cani alexc.nosp@m.ani1.nosp@m.09@gm.nosp@m.ail..nosp@m.com

Created on: Feb 28, 2026 Project: sdbus-c++ Description: High-level D-Bus IPC C++ library based on sd-bus

This file is part of sdbus-c++.

sdbus-c++ is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 2.1 of the License, or (at your option) any later version.

sdbus-c++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with sdbus-c++. If not, see http://www.gnu.org/licenses/.

## Enumeration Type Documentation

## AwaitableState

enum class sdbus::AwaitableState : uint8_t

strong

Represents the lifecycle state of an asynchronous operation in the coroutine awaitable protocol. Used for atomic coordination between the coroutine and the D-Bus callback thread.